# Class PRS_Resource
extends PRS_ExchangeElement

Each PRS_Resolution may have an associated cost of implementation. This cost may have several components such as time, material costs, labor cost, etc. To capture these costs, a PRS_Resouce is associated with a PRS_Resolution. For Service Incidents, one or more PRS_Resource objects may be associated with an Activity.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Resource

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Each PRS_Resolution may have an associated cost of implementation. This cost may have several components such as time, material costs, labor cost, etc. To capture these costs, a PRS_Resouce is associated with a PRS_Resolution. For Service Incidents, one or more PRS_Resource objects may be associated with an Activity.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Quantity | uint16 |
Description | string | Number of units of resource used.
ResourceType | string |
Description | string | A string describing the type of resource.
Units | string |
Description | string | Unit of measure for this resource.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods